E-MailRelay

Public Types | Public Member Functions | List of all members
GSsl::OpenSSL::ProfileImp Class Reference

An implementation of the GSsl::Profile interface for OpenSSL. More...

`#include <gssl_openssl.h>`

Inheritance diagram for GSsl::OpenSSL::ProfileImp:

## Public Types
using | Error = OpenSSL::Error

## Public Member Functions
| ProfileImp (const LibraryImp &, bool is_server_profile, const std::string &key_file, const std::string &cert_file, const std::string &ca_file, const std::string &default_peer_certificate_name, const std::string &default_peer_host_name, const std::string &profile_config)
SSL_CTX * | p () const
const LibraryImp & | lib () const
const std::string & | defaultPeerCertificateName () const
const std::string & | defaultPeerHostName () const
void | apply (const Config &)
| ProfileImp (const ProfileImp &)=delete
| ProfileImp (ProfileImp &&)=delete
void | operator= (const ProfileImp &)=delete
void | operator= (ProfileImp &&)=delete
Public Member Functions inherited from GSsl::Profile
virtual | ~Profile ()=default
| Destructor.
virtual std::unique_ptr< ProtocolImpBase > | newProtocol (const std::string &, const std::string &) const =0
| Factory method for a new Protocol object on the heap.

## Detailed Description

An implementation of the GSsl::Profile interface for OpenSSL.

Definition at line 141 of file gssl_openssl.h.

## Member Typedef Documentation

## ◆ Error

using GSsl::OpenSSL::ProfileImp::Error = OpenSSL::Error

Definition at line 144 of file gssl_openssl.h.

## Constructor & Destructor Documentation

## ◆ ProfileImp()

GSsl::OpenSSL::ProfileImp::ProfileImp | ( | const LibraryImp & | library_imp,
|  | bool | is_server_profile,
|  | const std::string & | key_file,
|  | const std::string & | cert_file,
|  | const std::string & | ca_file,
|  | const std::string & | default_peer_certificate_name,
|  | const std::string & | default_peer_host_name,
|  | const std::string & | profile_config
| ) |  |

Definition at line 319 of file gssl_openssl.cpp.

## Member Function Documentation

## ◆ apply()

void GSsl::OpenSSL::ProfileImp::apply | ( | const Config & | config | ) |

Definition at line 455 of file gssl_openssl.cpp.

## ◆ defaultPeerCertificateName()

const std::string & GSsl::OpenSSL::ProfileImp::defaultPeerCertificateName | ( |  | ) | const

Definition at line 436 of file gssl_openssl.cpp.

## ◆ defaultPeerHostName()

const std::string & GSsl::OpenSSL::ProfileImp::defaultPeerHostName | ( |  | ) | const

Definition at line 441 of file gssl_openssl.cpp.

## ◆ lib()

const GSsl::OpenSSL::LibraryImp & GSsl::OpenSSL::ProfileImp::lib | ( |  | ) | const

Definition at line 431 of file gssl_openssl.cpp.

## ◆ p()

SSL_CTX * GSsl::OpenSSL::ProfileImp::p | ( |  | ) | const

Definition at line 426 of file gssl_openssl.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gssl/gssl_openssl.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gssl/gssl_openssl.cpp